Debian Bug report logs - #619019
xserver-xorg-video-intel: latest update to debian squeeze made the mouse pointer invisible in my openbox/gdm session

version graph

Package: src:linux-2.6; Maintainer for src:linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: LN2 <mbfmaurer@gmail.com>

Date: Sun, 20 Mar 2011 13:45:01 UTC

Severity: important

Tags: squeeze

Merged with 618665, 618997, 619192, 619199, 619315, 619377, 619430, 619982, 620857

Found in version linux-2.6/2.6.32-31

Fixed in version linux-2.6/2.6.32-32

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mbfmaurer@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#619019; Package xserver-xorg-video-intel. (Sun, 20 Mar 2011 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to LN2 <mbfmaurer@gmail.com>:
New Bug report received and forwarded. Copy sent to mbfmaurer@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 20 Mar 2011 13:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: LN2 <mbfmaurer@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-intel: latest update to debian squeeze made the mouse pointer invisible in my openbox/gdm session
Date: Sun, 20 Mar 2011 14:41:00 +0100
Package: xserver-xorg-video-intel
Version: 2:2.13.0-6
Severity: important


The latest update to debian squeeze seems to have introduced the Bug reported here http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550942 .
(Upstream bug report can be found here https://bugs.freedesktop.org/show_bug.cgi?id=29413 .),

i.e. after boot-up the mouse pointer is invisible (though otherwise fully functional).

As described in the upstream bug report going through a hibernate or a suspend cycle makes the mouse pointer reappear.

Apparently the fix for this problem that the upstream bug links to was not included in the latest squeeze update.




-- Package-specific info:
X server symlink status:
------------------------
lrwxrwxrwx 1 root root 13 Jan  9  2010 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1733468 Feb 19 15:43 /usr/bin/Xorg

VGA-compatible devices on PCI bus:
----------------------------------
00:02.0 VGA compatible controller [0300]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)

/etc/X11/xorg.conf does not exist.

/etc/X11/xorg.conf.d does not exist.

KMS configuration files:
------------------------
/etc/modprobe.d/i915-kms.conf:
  options i915 modeset=1
/etc/modprobe.d/radeon-kms.conf:
  options radeon modeset=1

Kernel version (/proc/version):
-------------------------------
Linux version 2.6.32-5-686 (Debian 2.6.32-31) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Tue Mar 8 21:36:00 UTC 2011

Xorg X server log files on system:
----------------------------------
-rw-r--r-- 1 root root 21979 Mar 20 14:08 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file (/var/log/Xorg.0.log):
---------------------------------------------------------------------

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32.29-dsa-ia32 i686 Debian
Current Operating System: Linux wichtel 2.6.32-5-686 #1 SMP Tue Mar 8 21:36:00 UTC 2011 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-686 root=UUID=9b23d674-90d8-44e7-95a2-eba5dc7bd600 ro noquiet
Build Date: 19 February 2011  02:37:36PM
xorg-server 2:1.7.7-13 (Cyril Brulebois <kibi@debian.org>) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Mar 20 14:07:35 2011
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) No Layout section.  Using the first Screen section.
(==) No screen section available. Using defaults.
(**) |-->Screen "Default Screen Section" (0)
(**) |   |-->Monitor "<default monitor>"
(==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/Type1,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x81ecca0
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:0:2:0) 8086:3582:1028:0164 Intel Corporation 82852/855GM Integrated Graphics Device rev 2, Mem @ 0xf0000000/134217728, 0xfaf80000/524288, I/O @ 0x0000c000/8
(--) PCI: (0:0:2:1) 8086:3582:1028:0164 Intel Corporation 82852/855GM Integrated Graphics Device rev 2, Mem @ 0xe8000000/134217728, 0xfaf00000/524288
(II) Open ACPI successful (/var/run/acpid.socket)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(==) Matched intel as autoconfigured driver 0
(==) Matched vesa as autoconfigured driver 1
(==) Matched fbdev as autoconfigured driver 2
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.13.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "vesa"
(II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
(II) Module vesa: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "fbdev"
(II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 0.4.2
	ABI class: X.Org Video Driver, version 6.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
	Sandybridge, Sandybridge, Sandybridge, Sandybridge, Sandybridge,
	Sandybridge, Sandybridge
(II) VESA: driver for VESA chipsets: vesa
(II) FBDEV: driver for framebuffer: fbdev
(II) Primary Device is: PCI 00@00:02:0
(WW) Falling back to old probe method for vesa
(WW) Falling back to old probe method for fbdev
(II) Loading sub module "fbdevhw"
(II) LoadModule: "fbdevhw"
(II) Loading /usr/lib/xorg/modules/linux/libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 0.0.2
	ABI class: X.Org Video Driver, version 6.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: drmOpenMinor returns 9
drmOpenByBusid: Interface 1.4 failed, trying 1.1
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(II) intel(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
(==) intel(0): Depth 24, (--) framebuffer bpp 32
(==) intel(0): RGB weight 888
(==) intel(0): Default visual is TrueColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) 855GME
(--) intel(0): Chipset: "852GM/855GM"
(==) intel(0): Shadow buffer enabled, GPU acceleration disabled.
(**) intel(0): Tiling enabled
(**) intel(0): SwapBuffers wait enabled
(==) intel(0): video overlay key set to 0x101fe
(II) intel(0): Output VGA1 has no monitor section
(II) intel(0): Output LVDS1 has no monitor section
(II) intel(0): Output DVI1 has no monitor section
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output LVDS1
(II) intel(0): Manufacturer: SEC  Model: 4358  Serial#: 0
(II) intel(0): Year: 2003  Week: 0
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 30  vert.: 23
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.580 redY: 0.340   greenX: 0.310 greenY: 0.550
(II) intel(0): blueX: 0.155 blueY: 0.155   whiteX: 0.313 whiteY: 0.329
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 65.0 MHz   Image Size:  304 x 228 mm
(II) intel(0): h_active: 1024  h_sync: 1048  h_sync_end 1184 h_blank_end 1344 h_border: 0
(II) intel(0): v_active: 768  v_sync: 771  v_sync_end 777 v_blanking: 806 v_border: 0
(II) intel(0): Unknown vendor-specific block f
(II) intel(0):  D1185150XC
(II) intel(0):  �ȿ���_
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff004ca3584300000000
(II) intel(0): 	000d0103801e17780a87f594574f8c27
(II) intel(0): 	27505400000001010101010101010101
(II) intel(0): 	01010101010164190040410026301888
(II) intel(0): 	360030e4100000190000000f00000000
(II) intel(0): 	000000000018ee027400000000fe0044
(II) intel(0): 	313138350431353058430a20000000fe
(II) intel(0): 	00d0c8bfaf9f805f00010a20202000a1
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
(II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
(II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
(II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "720x450" (doublescan mode not supported)
(II) intel(0): Not using default mode "800x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "960x540" (doublescan mode not supported)
(II) intel(0): Not using default mode "960x600" (doublescan mode not supported)
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
(II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): EDID for output DVI1
(II) intel(0): Output VGA1 disconnected
(II) intel(0): Output LVDS1 connected
(II) intel(0): Output DVI1 disconnected
(II) intel(0): Using exact sizes for initial modes
(II) intel(0): Output LVDS1 using initial mode 1024x768
(II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(II) intel(0): Kernel page flipping support detected, enabling
(==) intel(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) UnloadModule: "vesa"
(II) Unloading /usr/lib/xorg/modules/drivers/vesa_drv.so
(II) UnloadModule: "fbdev"
(II) Unloading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) UnloadModule: "fbdevhw"
(II) Unloading /usr/lib/xorg/modules/linux/libfbdevhw.so
(==) Depth 24 pixmap format is 32 bpp
(==) intel(0): VideoRam: 131072 KB
(WW) intel(0): cannot enable DRI2 whilst forcing software fallbacks
(II) intel(0): Allocated new frame buffer 1024x768 stride 4096, tiled
(II) UXA(0): Driver registered support for the following operations:
(II)         solid
(II)         copy
(II)         composite (RENDER acceleration)
(II)         put_image
(II)         get_image
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(==) intel(0): DPMS enabled
(==) intel(0): Intel XvMC decoder disabled
(II) intel(0): Set up overlay video
(II) intel(0): direct rendering: Failed
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX: Screen 0 is not DRI2 capable
(II) AIGLX: Screen 0 is not DRI capable
(II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
(II) GLX: Initialized DRISWRAST GL provider for screen 0
(II) intel(0): Setting screen physical size to 270 x 203
(II) config/udev: Adding input device Video Bus (/dev/input/event5)
(**) Video Bus: Applying InputClass "evdev keyboard catchall"
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event5"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_variant" "nodeadkeys"
(II) config/udev: Adding input device Video Bus (/dev/input/event6)
(**) Video Bus: Applying InputClass "evdev keyboard catchall"
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event6"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_variant" "nodeadkeys"
(II) config/udev: Adding input device Power Button (/dev/input/event3)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event3"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_variant" "nodeadkeys"
(II) config/udev: Adding input device Lid Switch (/dev/input/event2)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Sleep Button (/dev/input/event4)
(**) Sleep Button: Applying InputClass "evdev keyboard catchall"
(**) Sleep Button: always reports core events
(**) Sleep Button: Device: "/dev/input/event4"
(II) Sleep Button: Found keys
(II) Sleep Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_variant" "nodeadkeys"
(II) config/udev: Adding input device Logitech USB-PS/2 Optical Mouse (/dev/input/event9)
(**) Logitech USB-PS/2 Optical Mouse: Applying InputClass "evdev pointer catchall"
(**) Logitech USB-PS/2 Optical Mouse: always reports core events
(**) Logitech USB-PS/2 Optical Mouse: Device: "/dev/input/event9"
(II) Logitech USB-PS/2 Optical Mouse: Found 12 mouse buttons
(II) Logitech USB-PS/2 Optical Mouse: Found scroll wheel(s)
(II) Logitech USB-PS/2 Optical Mouse: Found relative axes
(II) Logitech USB-PS/2 Optical Mouse: Found x and y relative axes
(II) Logitech USB-PS/2 Optical Mouse: Configuring as mouse
(**) Logitech USB-PS/2 Optical Mouse: YAxisMapping: buttons 4 and 5
(**) Logitech USB-PS/2 Optical Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Logitech USB-PS/2 Optical Mouse" (type: MOUSE)
(II) Logitech USB-PS/2 Optical Mouse: initialized for relative axes.
(II) config/udev: Adding input device Logitech USB-PS/2 Optical Mouse (/dev/input/mouse2)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
(**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_variant" "nodeadkeys"
(II) config/udev: Adding input device PS/2 Mouse (/dev/input/event7)
(**) PS/2 Mouse: Applying InputClass "evdev pointer catchall"
(**) PS/2 Mouse: always reports core events
(**) PS/2 Mouse: Device: "/dev/input/event7"
(II) PS/2 Mouse: Found 3 mouse buttons
(II) PS/2 Mouse: Found relative axes
(II) PS/2 Mouse: Found x and y relative axes
(II) PS/2 Mouse: Configuring as mouse
(**) PS/2 Mouse: YAxisMapping: buttons 4 and 5
(**) PS/2 Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "PS/2 Mouse" (type: MOUSE)
(II) PS/2 Mouse: initialized for relative axes.
(II) config/udev: Adding input device PS/2 Mouse (/dev/input/mouse0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device AlpsPS/2 ALPS GlidePoint (/dev/input/event8)
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "evdev pointer catchall"
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "evdev touchpad catchall"
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "touchpad catchall"
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 1.2.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(II) Synaptics touchpad driver version 1.2.2
(**) Option "Device" "/dev/input/event8"
(II) AlpsPS/2 ALPS GlidePoint: x-axis range 0 - 1023
(II) AlpsPS/2 ALPS GlidePoint: y-axis range 0 - 767
(II) AlpsPS/2 ALPS GlidePoint: pressure range 0 - 127
(II) AlpsPS/2 ALPS GlidePoint: finger width range 0 - 0
(II) AlpsPS/2 ALPS GlidePoint: buttons: left right middle
(--) AlpsPS/2 ALPS GlidePoint: touchpad found
(**) AlpsPS/2 ALPS GlidePoint: always reports core events
(II) XINPUT: Adding extended input device "AlpsPS/2 ALPS GlidePoint" (type: TOUCHPAD)
(**) AlpsPS/2 ALPS GlidePoint: (accel) keeping acceleration scheme 1
(**) AlpsPS/2 ALPS GlidePoint: (accel) acceleration profile 0
(**) AlpsPS/2 ALPS GlidePoint: (accel) acceleration factor: 2.000
(**) AlpsPS/2 ALPS GlidePoint: (accel) acceleration threshold: 4
(--) AlpsPS/2 ALPS GlidePoint: touchpad found
(II) config/udev: Adding input device AlpsPS/2 ALPS GlidePoint (/dev/input/mouse1)
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "touchpad catchall"
(II) Synaptics touchpad driver version 1.2.2
AlpsPS/2 ALPS GlidePoint no synaptics event device found
(**) Option "Device" "/dev/input/mouse1"
Query no Synaptics: 6003C8
(--) AlpsPS/2 ALPS GlidePoint: no supported touchpad found
(EE) AlpsPS/2 ALPS GlidePoint Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "AlpsPS/2 ALPS GlidePoint"
(II) UnloadModule: "synaptics"
(II) config/udev: Adding input device PC Speaker (/dev/input/event1)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event10)
(**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
(**) ACPI Virtual Keyboard Device: always reports core events
(**) ACPI Virtual Keyboard Device: Device: "/dev/input/event10"
(II) ACPI Virtual Keyboard Device: Found keys
(II) ACPI Virtual Keyboard Device: Configuring as keyboard
(II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_variant" "nodeadkeys"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) intel(0): EDID vendor "SEC", prod id 17240
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(--) AlpsPS/2 ALPS GlidePoint: touchpad found
(II) Video Bus: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) Logitech USB-PS/2 Optical Mouse: Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) PS/2 Mouse: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.

udev information:
-----------------
P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input5/event5
N: input/event5
S: char/13:69
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input5/event5
E: MAJOR=13
E: MINOR=69
E: DEVNAME=/dev/input/event5
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: XKBVARIANT=nodeadkeys
E: DEVLINKS=/dev/char/13:69
E: DMI_VENDOR=Dell Inc.

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:01/input/input6/event6
N: input/event6
S: char/13:70
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:01/input/input6/event6
E: MAJOR=13
E: MINOR=70
E: DEVNAME=/dev/input/event6
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: XKBVARIANT=nodeadkeys
E: DEVLINKS=/dev/char/13:70
E: DMI_VENDOR=Dell Inc.

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: DEVNAME=/dev/input/event3
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: XKBVARIANT=nodeadkeys
E: DEVLINKS=/dev/char/13:67
E: DMI_VENDOR=Dell Inc.

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: DEVNAME=/dev/input/event2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/char/13:66

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input4/event4
N: input/event4
S: char/13:68
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: DEVNAME=/dev/input/event4
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: XKBVARIANT=nodeadkeys
E: DEVLINKS=/dev/char/13:68
E: DMI_VENDOR=Dell Inc.

P: /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0/input/input9/event9
N: input/event9
S: char/13:73
S: input/by-id/usb-Logitech_USB-PS_2_Optical_Mouse-event-mouse
S: input/by-path/pci-0000:00:1d.0-usb-0:1:1.0-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0/input/input9/event9
E: MAJOR=13
E: MINOR=73
E: DEVNAME=/dev/input/event9
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: ID_MODEL=USB-PS_2_Optical_Mouse
E: ID_MODEL_ENC=USB-PS\x2f2\x20Optical\x20Mouse
E: ID_MODEL_ID=c01e
E: ID_REVISION=2200
E: ID_SERIAL=Logitech_USB-PS_2_Optical_Mouse
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.0-usb-0:1:1.0
E: DEVLINKS=/dev/char/13:73 /dev/input/by-id/usb-Logitech_USB-PS_2_Optical_Mouse-event-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:1:1.0-event-mouse

P: /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0/input/input9/mouse2
N: input/mouse2
S: char/13:34
S: input/by-id/usb-Logitech_USB-PS_2_Optical_Mouse-mouse
S: input/by-path/pci-0000:00:1d.0-usb-0:1:1.0-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0/input/input9/mouse2
E: MAJOR=13
E: MINOR=34
E: DEVNAME=/dev/input/mouse2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: ID_MODEL=USB-PS_2_Optical_Mouse
E: ID_MODEL_ENC=USB-PS\x2f2\x20Optical\x20Mouse
E: ID_MODEL_ID=c01e
E: ID_REVISION=2200
E: ID_SERIAL=Logitech_USB-PS_2_Optical_Mouse
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.0-usb-0:1:1.0
E: DEVLINKS=/dev/char/13:34 /dev/input/by-id/usb-Logitech_USB-PS_2_Optical_Mouse-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:1:1.0-mouse

P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: char/13:64
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: DEVNAME=/dev/input/event0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: XKBVARIANT=nodeadkeys
E: DEVLINKS=/dev/char/13:64 /dev/input/by-path/platform-i8042-serio-0-event-kbd
E: DMI_VENDOR=Dell Inc.

P: /devices/platform/i8042/serio1/input/input7/event7
N: input/event7
S: char/13:71
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input7/event7
E: MAJOR=13
E: MINOR=71
E: DEVNAME=/dev/input/event7
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/char/13:71 /dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/platform/i8042/serio1/input/input7/mouse0
N: input/mouse0
S: char/13:32
S: input/by-path/platform-i8042-serio-1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input7/mouse0
E: MAJOR=13
E: MINOR=32
E: DEVNAME=/dev/input/mouse0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DEVLINKS=/dev/char/13:32 /dev/input/by-path/platform-i8042-serio-1-mouse

P: /devices/platform/i8042/serio1/input/input8/event8
N: input/event8
S: char/13:72
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input8/event8
E: MAJOR=13
E: MINOR=72
E: DEVNAME=/dev/input/event8
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/char/13:72 /dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/platform/i8042/serio1/input/input8/mouse1
N: input/mouse1
S: char/13:33
S: input/by-path/platform-i8042-serio-1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input8/mouse1
E: MAJOR=13
E: MINOR=33
E: DEVNAME=/dev/input/mouse1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DEVLINKS=/dev/char/13:33 /dev/input/by-path/platform-i8042-serio-1-mouse

P: /devices/platform/pcspkr/input/input1/event1
N: input/event1
S: char/13:65
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: DEVNAME=/dev/input/event1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/char/13:65 /dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/virtual/input/input10/event10
N: input/event10
S: char/13:74
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input10/event10
E: MAJOR=13
E: MINOR=74
E: DEVNAME=/dev/input/event10
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: XKBVARIANT=nodeadkeys
E: DEVLINKS=/dev/char/13:74
E: DMI_VENDOR=Dell Inc.


DRM Information from dmesg:
---------------------------
[    0.663795] Linux agpgart interface v0.103
[    0.663910] agpgart-intel 0000:00:00.0: Intel 855GM Chipset
[    0.665132] agpgart-intel 0000:00:00.0: detected 892K stolen memory
[    0.667058] agpgart-intel 0000:00:00.0: AGP aperture is 128M @ 0xf0000000
[    7.159996] [drm] Initialized drm 1.1.0 20060810
[    7.297642] [drm] set up 0M of stolen space
[    7.417133] [drm] initialized overlay support
[    8.347162] fb0: inteldrmfb frame buffer device
[    8.347528] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0


-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (700, 'stable'), (650, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=en_DK.UTF-8, LC_CTYPE=en_DK.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-intel depends on:
ii  libc6                         2.11.2-10  Embedded GNU C Library: Shared lib
ii  libdrm-intel1                 2.4.23-0.0 Userspace interface to intel-speci
ii  libdrm2                       2.4.23-0.0 Userspace interface to kernel DRM 
ii  libpciaccess0                 0.12.0-1   Generic PCI access library for X
ii  libx11-6                      2:1.3.3-4  X11 client-side library
ii  libx11-xcb1                   2:1.3.3-4  Xlib/XCB interface library
ii  libxcb-aux0                   0.3.6-1    utility libraries for X C Binding 
ii  libxcb-dri2-0                 1.6-1      X C Binding, dri2 extension
ii  libxcb1                       1.6-1      X C Binding
ii  libxext6                      2:1.1.2-1  X11 miscellaneous extension librar
ii  libxfixes3                    1:4.0.5-1  X11 miscellaneous 'fixes' extensio
ii  libxv1                        2:1.0.5-1  X11 Video extension library
ii  libxvmc1                      2:1.0.5-1  X11 Video extension library
ii  xserver-xorg-core [xorg-video 2:1.7.7-13 Xorg X server - core server

xserver-xorg-video-intel recommends no packages.

xserver-xorg-video-intel suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#619019; Package xserver-xorg-video-intel. (Sun, 20 Mar 2011 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 20 Mar 2011 13:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 619019@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: LN2 <mbfmaurer@gmail.com>, 619019@bugs.debian.org
Subject: Re: Bug#619019: xserver-xorg-video-intel: latest update to debian squeeze made the mouse pointer invisible in my openbox/gdm session
Date: Sun, 20 Mar 2011 14:54:54 +0100
reassign 619019 linux-2.6 2.6.32-31
forcemerge 618665 619019
affects 618665 + xserver-xorg-video-intel
kthxbye

On Sun, Mar 20, 2011 at 14:41:00 +0100, LN2 wrote:

> Package: xserver-xorg-video-intel
> Version: 2:2.13.0-6
> Severity: important
> 
> 
> The latest update to debian squeeze seems to have introduced the Bug reported here http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550942 .
> (Upstream bug report can be found here https://bugs.freedesktop.org/show_bug.cgi?id=29413 .),
> 
> i.e. after boot-up the mouse pointer is invisible (though otherwise fully functional).
> 
> As described in the upstream bug report going through a hibernate or a suspend cycle makes the mouse pointer reappear.
> 
> Apparently the fix for this problem that the upstream bug links to was not included in the latest squeeze update.
> 
It was included before squeeze.  Apparently reintroduced with the kernel
update.

Cheers,
Julien




Bug reassigned from package 'xserver-xorg-video-intel' to 'linux-2.6'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 20 Mar 2011 13:57:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xserver-xorg-video-intel/2:2.13.0-6. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 20 Mar 2011 13:57:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-31. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 20 Mar 2011 13:57:06 GMT) Full text and rfc822 format available.

Forcibly Merged 618665 618997 619019. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 20 Mar 2011 13:57:08 GMT) Full text and rfc822 format available.

Added indication that 619019 affects xserver-xorg-video-intel Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 20 Mar 2011 13:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619019; Package linux-2.6. (Sun, 20 Mar 2011 14:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 20 Mar 2011 14:06:07 GMT) Full text and rfc822 format available.

Message #25 received at 619019@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: LN2 <mbfmaurer@gmail.com>, 619019@bugs.debian.org
Cc: control@bugs.debian.org, linux-2.6@packages.debian.org
Subject: Re: Bug#619019: xserver-xorg-video-intel: latest update to debian squeeze made the mouse pointer invisible in my openbox/gdm session
Date: Sun, 20 Mar 2011 15:03:48 +0100
[Message part 1 (text/plain, inline)]
reassign 619019 src:linux-2.6 2.6.32-31
affects  619019 xserver-xorg-video-intel
thanks

Hi,

and thanks for your report.

LN2 <mbfmaurer@gmail.com> (20/03/2011):
> The latest update to debian squeeze seems to have introduced the Bug
> reported here http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550942 .
> (Upstream bug report can be found here
> https://bugs.freedesktop.org/show_bug.cgi?id=29413 .),
> […]
> Apparently the fix for this problem that the upstream bug links to
> was not included in the latest squeeze update.

AFAICT from the upstream bug, the guilty commit is on the kernel side:
| drm/i915: Add pipe A force quirk for some laptops (Closes: #608148)

and that commit got included in the kernel update for the 6.0.1 point
release:
  http://packages.qa.debian.org/l/linux-2.6/news/20110307T195907Z.html

So downgrading your kernel to the previous revision (2.6.32-30) should
make your cursor become available again.

Kernel maintainers, you apparently want this commit to fix that:
| commit 897493504addc5609f04a2c4f73c37ab972c29b2
| Author: Chris Wilson <chris@chris-wilson.co.uk>
| Date:   Sun Sep 12 18:25:19 2010 +0100
| 
|     drm/i915: Ensure that the crtcinfo is populated during mode_fixup()
|     
|     This should fix the mysterious mode setting failures reported during
|     boot up and after resume, generally for i8xx class machines.
|     
|     Bugzilla: https://bugzilla.kernel.org/show_bug.cgi?id=16478
|     Reported-and-tested-by: Xavier Chantry <chantry.xavier@gmail.com>
|     Buzilla: https://bugs.freedesktop.org/show_bug.cgi?id=29413
|     Tested-by: Daniel Vetter <daniel@ffwll.ch>
|     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
|     Cc: stable@kernel.org

KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'linux-2.6' to 'src:linux-2.6'. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sun, 20 Mar 2011 14:06:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.32-31. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sun, 20 Mar 2011 14:06:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.32-31. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sun, 20 Mar 2011 14:06:13 GMT) Full text and rfc822 format available.

Added indication that 619019 affects xserver-xorg-video-intel Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sun, 20 Mar 2011 14:06:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619019; Package src:linux-2.6. (Sun, 20 Mar 2011 17:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to LN2 <mbfmaurer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 20 Mar 2011 17:48:07 GMT) Full text and rfc822 format available.

Message #38 received at 619019@bugs.debian.org (full text, mbox):

From: LN2 <mbfmaurer@gmail.com>
To: 619019@bugs.debian.org
Subject: Re: Bug#619019: xserver-xorg-video-intel: latest update to debian, squeeze made the mouse pointer invisible in my openbox/gdm session
Date: Sun, 20 Mar 2011 18:44:52 +0100
Thanks for the replies.

Yes, it is probably a kernel problem.

And yes downgrading does fix it.



LN2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619019; Package src:linux-2.6. (Sun, 20 Mar 2011 23:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 20 Mar 2011 23:09:08 GMT) Full text and rfc822 format available.

Message #43 received at 619019@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Chris Wilson <chris@chris-wilson.co.uk>
Cc: dri-devel@lists.freedesktop.org, 619019@bugs.debian.org
Subject: [PATCH 1/2] i915: Remove 'pipe A force' quirk for 855GM and 845G
Date: Sun, 20 Mar 2011 23:07:04 +0000
Applying this quirk to the 855GM in all systems causes regressions
(Debian bugs #493096, #619019).  Instead, apply the quirk to specific
models as listed in the old X driver.

I don't see any explanation for this quirk being applied to the 845G,
except perhaps that VT switching used to hang if pipe A was turned
off.  However, that seems to be a problem only when using UMS.  So
remove the quirk for the 845G as well.

Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
---
Needs people to test it, as I can't.

Ben.

 drivers/gpu/drm/i915/intel_display.c |   23 +++++++++++++++++++----
 1 files changed, 19 insertions(+), 4 deletions(-)

diff --git a/drivers/gpu/drm/i915/intel_display.c b/drivers/gpu/drm/i915/intel_display.c
index 3106c0d..a490f75 100644
--- a/drivers/gpu/drm/i915/intel_display.c
+++ b/drivers/gpu/drm/i915/intel_display.c
@@ -7345,19 +7345,34 @@ struct intel_quirk intel_quirks[] = {
 
 	/* Thinkpad R31 needs pipe A force quirk */
 	{ 0x3577, 0x1014, 0x0505, quirk_pipea_force },
+	/* Dell Latitude D400 needs pipe A force quirk (LP: #228519) */
+	{ 0x3582, 0x1028, 0x0139, quirk_pipea_force },
+	/* Dell Latitude D500 needs pipe A force quirk */
+	{ 0x3582, 0x1028, 0x0152, quirk_pipea_force },
+	/* Dell Latitude D505 needs pipe A force quirk (LP: #235643) */
+	{ 0x3582, 0x1028, 0x0163, quirk_pipea_force },
+	/* Dell Latitude X300 needs pipe A force quirk */
+	{ 0x3582, 0x1028, 0x014f, quirk_pipea_force },
+	/* Dell Inspiron 510m needs pipe A force quirk */
+	{ 0x3582, 0x1028, 0x0164, quirk_pipea_force },
+	/* Toshiba Satellite A30 needs pipe A force quirk */
+	{ 0x3582, 0x1179, 0xff00, quirk_pipea_force },
 	/* Toshiba Protege R-205, S-209 needs pipe A force quirk */
 	{ 0x2592, 0x1179, 0x0001, quirk_pipea_force },
+	/* Intel 855GM hardware (See LP: #216490) */
+	{ 0x3582, 0x1028, 0x00c8, quirk_pipea_force },
+	/* Intel 855GM hardware (See Novell Bugzilla #406123) */
+	{ 0x3582, 0x10cf, 0x1215, quirk_pipea_force },
+	/* HP Pavilion ze4944ea needs pipe A force quirk (See LP: #242389) */
+	{ 0x3582, 0x103c, 0x3084, quirk_pipea_force },
 
 	/* ThinkPad X30 needs pipe A force quirk (LP: #304614) */
 	{ 0x3577,  0x1014, 0x0513, quirk_pipea_force },
 	/* ThinkPad X40 needs pipe A force quirk */
+	{ 0x3582, 0x1014, 0x0557, quirk_pipea_force },
 
 	/* ThinkPad T60 needs pipe A force quirk (bug #16494) */
 	{ 0x2782, 0x17aa, 0x201a, quirk_pipea_force },
-
-	/* 855 & before need to leave pipe A & dpll A up */
-	{ 0x3582, PCI_ANY_ID, PCI_ANY_ID, quirk_pipea_force },
-	{ 0x2562, PCI_ANY_ID, PCI_ANY_ID, quirk_pipea_force },
 };
 
 static void intel_init_quirks(struct drm_device *dev)
-- 
1.7.4.1







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619019; Package src:linux-2.6. (Mon, 21 Mar 2011 07:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Wilson <chris@chris-wilson.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 21 Mar 2011 07:54:05 GMT) Full text and rfc822 format available.

Message #48 received at 619019@bugs.debian.org (full text, mbox):

From: Chris Wilson <chris@chris-wilson.co.uk>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: dri-devel@lists.freedesktop.org, 619019@bugs.debian.org
Subject: Re: [PATCH 1/2] i915: Remove pipe A force quirk for 855GM and 845G
Date: Mon, 21 Mar 2011 07:38:30 +0000
On Sun, 20 Mar 2011 23:07:04 +0000, Ben Hutchings <ben@decadent.org.uk> wrote:
> Applying this quirk to the 855GM in all systems causes regressions
> (Debian bugs #493096, #619019).  Instead, apply the quirk to specific
> models as listed in the old X driver.
> 
> I don't see any explanation for this quirk being applied to the 845G,
> except perhaps that VT switching used to hang if pipe A was turned
> off.  However, that seems to be a problem only when using UMS.  So
> remove the quirk for the 845G as well.

The quirk should only be required for 830M due to the numerous instances
where a unit on the second pipe is actually wired into the clock on the
first pipe. (And so it is easiest to keep the first pipe active at all
times.)

I'd prefer the quirk table to disappear and simply be replaced by
IS_830M(). However, that requires testing and so should only be done
piecemeal. And leaves some doubt as to why the other machines were in the
quirk table in the first place.

Can you please repost each of these removals as a separate patch and lets
try and get a tested-by for each one? (Make sure the tester includes the
model name for his machine so we can double check the veracity of the
change.)
-Chris

-- 
Chris Wilson, Intel Open Source Technology Centre




Forcibly Merged 618665 618997 619019 619192. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 22 Mar 2011 02:09:09 GMT) Full text and rfc822 format available.

Forcibly Merged 618665 618997 619019 619192 619199. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 22 Mar 2011 02:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619019; Package src:linux-2.6. (Tue, 22 Mar 2011 03:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 22 Mar 2011 03:09:02 GMT) Full text and rfc822 format available.

Message #57 received at 619019@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Chris Wilson <chris@chris-wilson.co.uk>, Jesse Barnes <jbarnes@virtuousgeek.org>
Cc: dri-devel@lists.freedesktop.org, 619019@bugs.debian.org
Subject: Re: [PATCH 1/2] i915: Remove pipe A force quirk for 855GM and 845G
Date: Tue, 22 Mar 2011 03:05:45 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2011-03-21 at 07:38 +0000, Chris Wilson wrote:
> On Sun, 20 Mar 2011 23:07:04 +0000, Ben Hutchings <ben@decadent.org.uk> wrote:
> > Applying this quirk to the 855GM in all systems causes regressions
> > (Debian bugs #493096, #619019).  Instead, apply the quirk to specific
> > models as listed in the old X driver.
> > 
> > I don't see any explanation for this quirk being applied to the 845G,
> > except perhaps that VT switching used to hang if pipe A was turned
> > off.  However, that seems to be a problem only when using UMS.  So
> > remove the quirk for the 845G as well.
> 
> The quirk should only be required for 830M due to the numerous instances
> where a unit on the second pipe is actually wired into the clock on the
> first pipe. (And so it is easiest to keep the first pipe active at all
> times.)

When you say 'wired into', is this part of the chip design or something
done on the board?

Jesse, why did you add the quirk for other chips?

> I'd prefer the quirk table to disappear and simply be replaced by
> IS_830M(). However, that requires testing and so should only be done
> piecemeal. And leaves some doubt as to why the other machines were in the
> quirk table in the first place.

The commit messages referring to VT switching suggest that the problems
related to disabling part A may actually have been related to handover
to the console driver before KMS.

> Can you please repost each of these removals as a separate patch and lets
> try and get a tested-by for each one? (Make sure the tester includes the
> model name for his machine so we can double check the veracity of the
> change.)

I already have 4 regression reports for the addition of the quirk for
855GM:

http://bugs.debian.org/618665
http://bugs.debian.org/618997
http://bugs.debian.org/619019
http://bugs.debian.org/619192

and one on an unidentified (as yet) chip:

http://bugs.debian.org/619199

So I can just send a patch to revert 855GM.

The odd thing about these reports is that the regression is reported to
occur before the system has ever been suspended, and to be fixed (or
mitigated) by suspending and resuming.  I don't understand why the quirk
even comes into play during boot.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Tue, 22 Mar 2011 04:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619019; Package src:linux-2.6. (Tue, 22 Mar 2011 07:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Wilson <chris@chris-wilson.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 22 Mar 2011 07:45:05 GMT) Full text and rfc822 format available.

Message #64 received at 619019@bugs.debian.org (full text, mbox):

From: Chris Wilson <chris@chris-wilson.co.uk>
To: Ben Hutchings <ben@decadent.org.uk>, Jesse Barnes <jbarnes@virtuousgeek.org>
Cc: dri-devel@lists.freedesktop.org, 619019@bugs.debian.org
Subject: Re: [PATCH 1/2] i915: Remove pipe A force quirk for 855GM and 845G
Date: Tue, 22 Mar 2011 07:17:09 +0000
On Tue, 22 Mar 2011 03:05:45 +0000, Ben Hutchings <ben@decadent.org.uk> wrote:
> On Mon, 2011-03-21 at 07:38 +0000, Chris Wilson wrote:
> > On Sun, 20 Mar 2011 23:07:04 +0000, Ben Hutchings <ben@decadent.org.uk> wrote:
> > > Applying this quirk to the 855GM in all systems causes regressions
> > > (Debian bugs #493096, #619019).  Instead, apply the quirk to specific
> > > models as listed in the old X driver.
> > > 
> > > I don't see any explanation for this quirk being applied to the 845G,
> > > except perhaps that VT switching used to hang if pipe A was turned
> > > off.  However, that seems to be a problem only when using UMS.  So
> > > remove the quirk for the 845G as well.
> > 
> > The quirk should only be required for 830M due to the numerous instances
> > where a unit on the second pipe is actually wired into the clock on the
> > first pipe. (And so it is easiest to keep the first pipe active at all
> > times.)
> 
> When you say 'wired into', is this part of the chip design or something
> done on the board?

It is mentioned as a "feature" in several places of the specs for the 830G
chipset.

> Jesse, why did you add the quirk for other chips?
> 
> > I'd prefer the quirk table to disappear and simply be replaced by
> > IS_830M(). However, that requires testing and so should only be done
> > piecemeal. And leaves some doubt as to why the other machines were in the
> > quirk table in the first place.
> 
> The commit messages referring to VT switching suggest that the problems
> related to disabling part A may actually have been related to handover
> to the console driver before KMS.

That sounds promising that the code was indeed papering over bugs...
Doesn't sound too promising for the state of our code though. :(
 
> > Can you please repost each of these removals as a separate patch and lets
> > try and get a tested-by for each one? (Make sure the tester includes the
> > model name for his machine so we can double check the veracity of the
> > change.)
> 
> I already have 4 regression reports for the addition of the quirk for
> 855GM:
> 
> http://bugs.debian.org/618665
> http://bugs.debian.org/618997
> http://bugs.debian.org/619019
> http://bugs.debian.org/619192
> 
> and one on an unidentified (as yet) chip:
> 
> http://bugs.debian.org/619199
> 
> So I can just send a patch to revert 855GM.

I'd still prefer a patch for each quirk removal.
Along with a tested-by.  ;-)

The little bit of time invested now in preparing small commits with be of
great benefit should anyone need to investigate later. We have to
gradually wean ourselves off the quirk table and convince everybody that
the code does actually know how to modeset the chip!
 
> The odd thing about these reports is that the regression is reported to
> occur before the system has ever been suspended, and to be fixed (or
> mitigated) by suspending and resuming.  I don't understand why the quirk
> even comes into play during boot.

During the switch-over from BIOS we disable all the outputs - instant bug.

Many thanks for preparing these patches,
-Chris

-- 
Chris Wilson, Intel Open Source Technology Centre




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619019; Package src:linux-2.6. (Tue, 22 Mar 2011 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Wilson <chris@chris-wilson.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 22 Mar 2011 11:09:03 GMT) Full text and rfc822 format available.

Message #69 received at 619019@bugs.debian.org (full text, mbox):

From: Chris Wilson <chris@chris-wilson.co.uk>
To: Ben Hutchings <ben@decadent.org.uk>, Jesse Barnes <jbarnes@virtuousgeek.org>
Cc: dri-devel@lists.freedesktop.org, 619019@bugs.debian.org
Subject: Re: [PATCH 1/2] i915: Remove pipe A force quirk for 855GM and 845G
Date: Tue, 22 Mar 2011 11:04:58 +0000
On Tue, 22 Mar 2011 03:05:45 +0000, Ben Hutchings <ben@decadent.org.uk> wrote:
> On Mon, 2011-03-21 at 07:38 +0000, Chris Wilson wrote:
> > Can you please repost each of these removals as a separate patch and lets
> > try and get a tested-by for each one? (Make sure the tester includes the
> > model name for his machine so we can double check the veracity of the
> > change.)
> 
> I already have 4 regression reports for the addition of the quirk for
> 855GM:
> 
> http://bugs.debian.org/618665
> http://bugs.debian.org/618997
> http://bugs.debian.org/619019
> http://bugs.debian.org/619192
> 
> and one on an unidentified (as yet) chip:
> 
> http://bugs.debian.org/619199
> 
> So I can just send a patch to revert 855GM.

Yes. Having just been poked by Julien to look at the original quirk
table and so seeing the generic match all 855GM, please do send that
patch.
-Chris

-- 
Chris Wilson, Intel Open Source Technology Centre




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619019; Package src:linux-2.6. (Tue, 22 Mar 2011 15:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jesse Barnes <jbarnes@virtuousgeek.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 22 Mar 2011 15:57:07 GMT) Full text and rfc822 format available.

Message #74 received at 619019@bugs.debian.org (full text, mbox):

From: Jesse Barnes <jbarnes@virtuousgeek.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Chris Wilson <chris@chris-wilson.co.uk>, dri-devel@lists.freedesktop.org, 619019@bugs.debian.org
Subject: Re: [PATCH 1/2] i915: Remove pipe A force quirk for 855GM and 845G
Date: Tue, 22 Mar 2011 08:47:55 -0700
On Tue, 22 Mar 2011 03:05:45 +0000
Ben Hutchings <ben@decadent.org.uk> wrote:

> On Mon, 2011-03-21 at 07:38 +0000, Chris Wilson wrote:
> > On Sun, 20 Mar 2011 23:07:04 +0000, Ben Hutchings <ben@decadent.org.uk> wrote:
> > > Applying this quirk to the 855GM in all systems causes regressions
> > > (Debian bugs #493096, #619019).  Instead, apply the quirk to specific
> > > models as listed in the old X driver.
> > > 
> > > I don't see any explanation for this quirk being applied to the 845G,
> > > except perhaps that VT switching used to hang if pipe A was turned
> > > off.  However, that seems to be a problem only when using UMS.  So
> > > remove the quirk for the 845G as well.
> > 
> > The quirk should only be required for 830M due to the numerous instances
> > where a unit on the second pipe is actually wired into the clock on the
> > first pipe. (And so it is easiest to keep the first pipe active at all
> > times.)
> 
> When you say 'wired into', is this part of the chip design or something
> done on the board?
> 
> Jesse, why did you add the quirk for other chips?

The DDX driver had an option to force enable pipe A, and we told people
to report bugs when they needed it.  So we got a bunch from Ubuntu and
elsewhere and added them without too much investigation into the root
cause (as you say below it could have been something else).

> > I'd prefer the quirk table to disappear and simply be replaced by
> > IS_830M(). However, that requires testing and so should only be done
> > piecemeal. And leaves some doubt as to why the other machines were in the
> > quirk table in the first place.
> 
> The commit messages referring to VT switching suggest that the problems
> related to disabling part A may actually have been related to handover
> to the console driver before KMS.

Yes, definitely possible.  We didn't have all the assertion checks we
have now, so we may have just been masking other problems without
knowing it.

-- 
Jesse Barnes, Intel Open Source Technology Center




Forcibly Merged 618665 618997 619019 619192 619199 619315. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 22 Mar 2011 21:15:06 GMT) Full text and rfc822 format available.

Forcibly Merged 618665 618997 619019 619192 619199 619315 619377. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 23 Mar 2011 11:51:08 GMT) Full text and rfc822 format available.

Forcibly Merged 618665 618997 619019 619192 619199 619315 619377 619430. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 23 Mar 2011 20:36:08 GMT) Full text and rfc822 format available.

Forcibly Merged 618665 618997 619019 619192 619199 619315 619377 619430 619982. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 28 Mar 2011 22:45:11 GMT) Full text and rfc822 format available.

Forcibly Merged 618665 618997 619019 619192 619199 619315 619377 619430 619982 620857. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 04 Apr 2011 18:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#619019; Package src:linux-2.6. (Sun, 01 May 2011 16:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Wagner <2000sw@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 May 2011 16:33:08 GMT) Full text and rfc822 format available.

Message #89 received at 619019@bugs.debian.org (full text, mbox):

From: Sebastian Wagner <2000sw@gmail.com>
To: 619019@bugs.debian.org
Subject: Re: xserver-xorg-video-intel: latest update to debian squeeze made the mouse pointer invisible in my openbox/gdm session
Date: Sun, 01 May 2011 18:29:41 +0200
[Message part 1 (text/plain, inline)]
On -10.01.-28163 20:59, LN2 wrote:
> Package: xserver-xorg-video-intel
> Version: 2:2.13.0-6
> Severity: important
>
>
> The latest update to debian squeeze seems to have introduced the Bug reported here http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550942 .
> (Upstream bug report can be found here https://bugs.freedesktop.org/show_bug.cgi?id=29413 .),
>
> i.e. after boot-up the mouse pointer is invisible (though otherwise fully functional).
>
> As described in the upstream bug report going through a hibernate or a suspend cycle makes the mouse pointer reappear.
>
> Apparently the fix for this problem that the upstream bug links to was not included in the latest squeeze update.

I got a similar problem after installing
debian-6.0.1a-i386-businesscard.iso

I can't reproduce the suspend-step because the display stays dark when 
resuming.

PCI-Description in attachment[1].

[1] driverbug.txt

[driverbug.txt (text/plain, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Jun 2011 07:33:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:52:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.